import { FASTElement } from '@ni/fast-element';
export interface RequiredVisiblePattern {
    /**
     * Whether or not to show the required appearance of the control
     */
    requiredVisible: boolean;
}
type FASTElementConstructor = abstract new (...args: any[]) => FASTElement;
export declare function mixinRequiredVisiblePattern<TBase extends FASTElementConstructor>(base: TBase): (abstract new (...args: any[]) => {
    requiredVisible: boolean;
    readonly $fastController: import("@ni/fast-element").Controller;
    $emit(type: string, detail?: any, options?: Omit<CustomEventInit, "detail">): boolean | void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
}) & TBase;
export {};
